Bug 134678 - s-c-k: handles unencrypted passwords incorrectly
Summary: s-c-k: handles unencrypted passwords incorrectly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-05 15:41 UTC by Zack Cerza
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 19:22:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Zack Cerza 2004-10-05 15:41:20 UTC
My ks.cfg specifies the password in plaintext - 'rootpw hackme' - but
s-c-k leaves the password entry boxes blank, and the "encrypt root
password" box checked. If I immediately save my ks.cfg after opening
it, I'm prompted to set a root password.

Comment 1 Paul Nasrat 2004-11-08 19:39:03 UTC
Fixed in CVS.  Note I also won't encrypt a string starting with $1$ if
iscrypted is set, so both parsing of encrypted and unencrypted
passwords in ks.cfg should work


Note You need to log in before you can comment on or make changes to this bug.